CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-7524

In Dovecot before 2.2.36.3 and 2.3.x before 2.3.5.1, a local attacker can cause a buffer overflow in the indexer-worker process, which can be used to elevate to root. This occurs because of missing checks in the fts and pop3-uidl components.
Publish Date : 2019-03-28 Last Update Date : 2019-06-14
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Overflow
CWE ID 119

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2020:1062: dovecot security and bug fix update (Moderate) oval:com.redhat.rhsa:def:20201062 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-7524

# Product Type Vendor Product Version Update Edition Language
1 OS Canonical Ubuntu Linux 14.04 * * * Version Details Vulnerabilities
2 OS Canonical Ubuntu Linux 16.04 * * * Version Details Vulnerabilities
3 OS Canonical Ubuntu Linux 18.04 * * * Version Details Vulnerabilities
4 OS Canonical Ubuntu Linux 18.10 * * * Version Details Vulnerabilities
5 OS Debian Debian Linux 8.0 * * * Version Details Vulnerabilities
6 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
7 Application Dovecot Dovecot * * * * Version Details Vulnerabilities
8 OS Opensuse Leap 15.0 * * * Version Details Vulnerabilities
9 OS Opensuse Leap 42.3 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Canonical Ubuntu Linux 4
Debian Debian Linux 2
Dovecot Dovecot 1
Opensuse Leap 2

- References For CVE-2019-7524

http://www.openwall.com/lists/oss-security/2019/03/28/1
MLIST [oss-security] 20190328 CVE-2019-7524: Buffer overflow when reading extension header from dovecot index files
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00067.html
SUSE openSUSE-SU-2019:1220
https://seclists.org/bugtraq/2019/Mar/59
BUGTRAQ 20190328 [SECURITY] [DSA 4418-1] dovecot security update
https://www.debian.org/security/2019/dsa-4418
DEBIAN DSA-4418
https://lists.debian.org/debian-lts-announce/2019/03/msg00038.html
MLIST [debian-lts-announce] 20190329 [SECURITY] [DLA 1736-1] dovecot security update
https://usn.ubuntu.com/3928-1/
UBUNTU USN-3928-1
http://www.securityfocus.com/bid/107672
BID 107672 Dovecot CVE-2019-7524 Stack Buffer Overflow Vulnerability Release Date:2019-04-15
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/QHFZ5OWRIZGIWZJ5PTNVWWZNLLNH4XYS/
FEDORA FEDORA-2019-1b61a528dd
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/4XLI55NGRDTGMVOPYFCPPFNPA5VKYSSY/
FEDORA FEDORA-2019-9e004decea
https://security.gentoo.org/glsa/201904-19
GENTOO GLSA-201904-19
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00060.html
SUSE openSUSE-SU-2019:1212
https://dovecot.org/security.html
https://dovecot.org/list/dovecot-news/2019-March/000403.html

- Metasploit Modules Related To CVE-2019-7524

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.